#
# spec file for package kdav
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdav
Version:        17.04.2
Release:        1.1
Summary:        DAV protocol implementation
License:        GPL-2.0
Group:          Productivity/Other
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5XmlPatterns)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
kdav is a library providing a KJob-based implementation of DAV protocols such as
CardDAV, WebDAV, and CalDAV.

%package -n libKPimKDAV5
Summary:        Core library for kdav
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libKPimKDAV5
kdav is a library providing a KJob-based implementation of DAV protocols such as
CardDAV, WebDAV, and CalDAV.

%package devel
Summary:        Development package for kdav
Group:          Development/Libraries/KDE
Requires:       libKPimKDAV5 = %{version}

%description devel
This package contains development files needed to use kdav in other applications.

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

%post -n libKPimKDAV5 -p /sbin/ldconfig

%postun -n libKPimKDAV5 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%config %{_kf5_configdir}/kdav.categories

%files -n libKPimKDAV5
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/libKPimKDAV.so.*

%files devel
%defattr(-,root,root)
%doc COPYING README
%{_includedir}/KPim/
%{_libdir}/cmake/KPimKDAV/
%{_kf5_mkspecsdir}/qt_kdav.pri
%{_libdir}/libKPimKDAV.so

%changelog
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Add missing include
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Use same variable name, so it's more easy to change version
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * None
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Add missing metainfo
* Fri Apr  7 2017 lbeltrame@kde.org
- Update descriptions
* Sun Mar 26 2017 lbeltrame@kde.org
- Initial package for KDE Applications 17.08.80
  * Code split out from kdepim-runtime
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
